/* - - - - - - - - - - - - - - - -
  C A R S
 - - - - - - - - - - - - - - - - */

.cars {
  color: dimgray;
  margin-left: 100px;
}

.cars .error {
  margin: 10px;
  font-weight: 300;
  color: black;
}

.cars a {
  justify-self: center;
  padding-left: 0;
}

.cars .car-box {
  display: inline-block;
  position: relative;
  width: 350px;
  height: 660px;
  background: #fffb;
  border: 1px solid lightgray;
  border-radius: 3px;
  margin-right: 10px;
  margin-bottom: 10px;
  cursor: pointer;
}

.cars .car-box:hover {
  -webkit-box-shadow: 0px 3px 10px 4px;
  box-shadow: 0px 3px 10px -4px rgba(0,0,0,.75);
}

.cars .car-image {
  margin: 15px;
  width: 320px;
  height: 250px;
  background-size: cover;
  border-radius: 3px;
}

/* --------------------------
    Header for overview page
   -------------------------- */

.cars .car-header {
  width: 320px;
  height: 30px;
  margin-left: 15px;
}

.cars .car-header .make {
  display: inline;
  font-size: 1.4rem;
  font-weight: 400;
}

.cars .car-header .model {
  display: inline;
  font-size: 1.4rem;
  font-weight: 300;
}

.cars .car-header .modelversion {
  display: none;
}


/* - - - - - - - - - - - - - - - -
  C A R
 - - - - - - - - - - - - - - - - */

 .car {
  padding-bottom: 15px;
 }
 
/* ---------------------
    Header for car page
   --------------------- */

.car .car-header {
  margin: 10px;
  /*vertical-align: top;
  background: #fffb;
  border: 1px solid lightgray;
  border-radius: 3px;
  margin: 10px;*/
}

.car .car-header .make {
  display: inline;
  font-size: 2.5rem;
  font-weight: 400;
}

.car .car-header .model {
  display: inline;
  font-size: 2.5rem;
  font-weight: 300;
}

.car .car-header .modelversion {
  display: block;
  font-size: 1.0rem;
  font-weight: 300;
}

/* ----------
    Overview
   ----------- */

.car-overview {
  position: relative;
}

.cars .car-overview {
  width: 320px;
  margin-left: 15px;
  height: 290px;
}

.car-overview .tags {
  display: block;
  padding-top: 5px;
}

.car-overview .tag {
  display: inline-block;
  font-size: 0.8rem;
  font-weight: 500;
  border-radius: 5px;
  padding: 3px;
  padding-left: 8px;
  padding-right: 8px;
  color: white;
}

.car-overview .tag.offertype {
  background: gray;
}

.car-overview .tag.fuelCategory {
  background: black;
}

.car-overview .tag.fuelCategory.gasoline {
  background: brown;
}

.car-overview .tag.fuelCategory.diesel {
  background: brown;
}

.car-overview .tag.fuelCategory.hybrid {
  background: green;
}

.car-overview .tag.fuelCategory.electric {
  background: limegreen;
}

.car-overview .tag.fuelCategory.gas {
  background: blue;
}

.car-overview .tag.fuelCategory.hydrogen {
  background: blue;
}

.car-overview .tag.transmission {
  background: black;
}

/*.car-overview .price {
}*/

.car-overview .price .header {
  margin-top: 10px;
  font-size: 0.9rem;
  font-weight: 200;
}

.car-overview .price .price {
  display: inline;
  font-size: 1.3rem;
  font-weight: 700;
  color: black;
}

.car-overview .price .tax {
  display: inline;
  color: dimgray;
  font-size: 0.8rem;
  font-weight: 200;
}

.car-overview table {
  width: 100%;
  margin-top: 20px;
  border-collapse: collapse;
}

.car-overview tr {
  border-bottom: 1px solid #eee;
  padding-top: 5px;
}

.car .car-overview tr {
  border-bottom: 1px solid #ddd;
}

.car-overview td {
  margin-top: 5px;
  margin-bottom: 2px;
  display: inline-table;
}

.car-overview td.value {
  float: right;
}

.cars .car-box button {
  position: absolute;
  bottom: 0px;
  margin: 15px;
  background: border-box;
  border-radius: 3px;
  border: 1px solid #555;
  cursor: pointer;
  width: 320px;
  height: 30px;
}

.cars .car-overview .emission {
  font-size: 0.8rem;
  position: absolute;
  bottom: 0px;
  color: dimgray;
}

sub {
  vertical-align: baseline;
}


/* -------------
    Back button
   ------------- */

.car .back {
  border: 1px solid black;
  width: fit-content;
  padding: 10px;
  margin: 10px;
  border-radius: 3px;
  display: inline-block;
}

/* ------------
    Error hint
   ------------ */

.car .error {
  margin: 10px;
  font-weight: 300;
}

/* ----------
    Sections
   ---------- */

.car section {
  display: inline-block;
  position: relative;
  vertical-align: top;
  background: #fffb;
  border: 1px solid lightgray;
  border-radius: 3px;
  margin-left: 1vw;
  margin-top: 15px;
}

.car section header {
  font-size: 2.0rem;
  font-weight: 300;
  margin: 15px;
  position: relative;
  height: unset;
  min-height: unset;
}

.car section content {
  margin: 15px;
  background: unset;
  min-height: unset;
}

/* ---------
    Gallery
   --------- */

.car .gallery {
  width: 69vw;
}

#gallery {
  max-width: unset !important;
}


/* ----------
    Overview
   ---------- */

.car .overview {
  width: 26vw;
  vertical-align: top;
}

.ug-slider-wrapper {
  background: #ddd !important;
}


/* ----------
    Emission
   ---------- */

.car .emissions table {
  width: 100%;
  margin-top: 20px;
  border-collapse: collapse;
}

.car .emissions tr {
  border-bottom: 1px solid #ddd;
}

.car .emissions td {
  margin-top: 5px;
  margin-bottom: 2px;
  display: inline-table;
}

.car .emissions td.value {
  float: right;
}

.car .emissions value {
  font-weight: bold;
}

.car .emissions unit {
  padding-left: 0.3rem;
}

/* -------------
    Description
   ------------- */

.car .description p {
  margin-block-start: 0;
  margin-block-end: 0;
}

/* ---------------
    Mobile screen
   --------------- */

@media only screen and (max-width: 772px) {

  .cars {
    padding-top: 10px;
    margin-left: 0;
    margin-right: 0;
  }

  .cars .car-box {
    width: 330px;
    height: 630px;
    display: block;
    justify-self: center;
  }

  .cars .car-image {
    width: 300px;
    height: 220px;
  }

  .cars .car-overview {
    width: 300px;
  }

  .cars .car-box button {
    width: 300px;
  }

  .car .gallery {
    width: 94%;
  }

  .car .overview {
    width: 94%;
  }

}
